Klarna Docs - General Information

General Information

The Klarna Payments and Klarna Checkout modules that have been developed are compatible with PrestaShop versions 1.6.1 and 1.7.1+. Klarna On-site Messaging and Order Management functionalities are included in each module as well.

The minimum PHP version required for the Klarna Payments and Klarna Checkout modules depends on the version of PrestaShop your store is using. If 1.6.1, PHP version 5.4 - 7.0 is recommended, while a minimum PHP version of 7.x is recommended for PrestaShop version 1.7x.

For more information and configuration steps for each module, choose one of the options below.

Klarna Checkout

Klarna Payments